seek

Use the seek command in the playback namespace to go to a specific position in the current track. Optionally add the cloud queue itemId to target a specific track.

Use itemId to ensure the group seeks on the current item. If the current item’s itemId does not match the one provided, the player returns an ERROR_INVALID_OBJECT_ID error.

Path Params
string
required

Target groupId

Body Params
string | null

(Optional) The identifier for the item. If included and it does not match the currently playing item, the command fails. This ensures that playback does not jump back to a track if a user starts to scrub just as the player begins to play the next item or due to latency.

int32
required

Position within track in milliseconds. If this value exceeds the current track duration time, Sonos moves to the end of the current track, which results in a skip to the next track.

Headers
uuid
deprecated

Client API Key for the integration. Required in V1 but deprecated in V2.

uuid

Correlation UUID for data tracking purposes

Responses

200 OK

Content Examples:

  1. When including the optional itemId.
{
"positionMillis" : 30000,
"itemId" : "123"
}
  1. When omitting the optional itemId.
{
"positionMillis" : 30000
}

200 OK

Content Examples:

  1. When including the optional itemId.
{
"positionMillis" : 30000,
"itemId" : "123"
}
  1. When omitting the optional itemId.
{
"positionMillis" : 30000
}

401

A client has not provided authorization credentials to perform a command

403

A client does not have the correct permissions to perform a command

200 OK

Content Examples:

  1. When including the optional itemId.
{
"positionMillis" : 30000,
"itemId" : "123"
}
  1. When omitting the optional itemId.
{
"positionMillis" : 30000
}

200 OK

Content Examples:

  1. When including the optional itemId.
{
"positionMillis" : 30000,
"itemId" : "123"
}
  1. When omitting the optional itemId.
{
"positionMillis" : 30000
}

500

Sonos has experience an unexpected condition it is unable to recover from

503

Player is unable to reach the service.

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json